Bug 1309687 - Undeclared uses constraints of Apache HttpComponent bundle cause linkage error at runtime
Undeclared uses constraints of Apache HttpComponent bundle cause linkage erro...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 08:40 EST by Andreas Sewe
Modified: 2018-01-06 18:19 EST (History)
7 users (show)

See Also:
Fixed In Version: eclipse-4.7.2-1.fc26 eclipse-4.7.2-1.fc27
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-01-06 18:09:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 488006 None None None 2016-02-18 08:40 EST

  None (edit)
Description Andreas Sewe 2016-02-18 08:40:43 EST
Description of problem:
Version-Release number of selected component (if applicable):

1:4.5.1-1.fc23


How reproducible:

Always.


Steps to Reproduce:
1. Install "Eclipse" (version 1:4.5.1-1.fc23) from "Software"
2. Start Eclipse
3. Help > Install New Software "Code Recommenders for Java Developers" from pre-configured update site <http://download.eclipse.org/releases/mars>
4. Restart Eclipse
5. Try to open Code Recommenders "Model Repositories" view (it is not there, as bundles for Code Recommenders" are not resolved. This is the *first* problem
6. Start Eclipse with "-clean" option
7. Try to open Code Recommenders "Model Repositories" view again


Actual results:

An error dialog appear: loader constraint violation in interface itable initialization: when resolving method "org.apache.http.message.AbstractHttpMessage.getHeaders(Ljava/lang/String;)[Lorg/apache/http/Header;" the class loader (instance of org/eclipse/osgi/internal/loader/EquinoxClassLoader) of the current class, org/apache/http/client/methods/AbstractExecutionAwareRequest, and the class loader (instance of org/eclipse/osgi/internal/loader/EquinoxClassLoader) for interface org/apache/http/HttpMessage have different Class objects for the type [Lorg/apache/http/Header; used in the signature


Expected results:

The "Model Repositories" view opens and (in the background) a download of the model repository index for is started. Once finished, the view shows 4.5.76 known coordinates for the "mars" model repository.


Additional info:

More details on what the OSGi bundle headers look like can be found in the bug I filled with the Eclipse Orbit project [1], although they are not the ones who distribute bundles with faulty Export-Package headers (i.e., headers without uses constraints).

FWIW, the symptoms seem to be very similar to those of Bug 807044.

[1] <https://bugs.eclipse.org/bugs/show_bug.cgi?id=488006>
Comment 1 Alexander Kurtakov 2016-02-18 08:55:48 EST
Mat, would you please investigate this one?
Comment 2 Fedora End Of Life 2016-11-24 10:37:47 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-02-28 04:54:18 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 4 Fedora Update System 2017-12-18 06:33:10 EST
eclipse-4.7.2-1.fc26 eclipse-dltk-5.8.2-1.fc26 eclipse-dtp-1.14.1-1.fc26 eclipse-egit-4.9.1-1.fc26 eclipse-jgit-4.9.1-2.fc26 eclipse-linuxtools-6.2.0-1.fc26 eclipse-mylyn-3.23.2-2.fc26 eclipse-recommenders-2.5.0-1.fc26 eclipse-webtools-3.9.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3c602edc69
Comment 5 Fedora Update System 2017-12-18 06:33:49 EST
eclipse-4.7.2-1.fc27 eclipse-dltk-5.8.2-1.fc27 eclipse-dtp-1.14.1-1.fc27 eclipse-egit-4.9.1-1.fc27 eclipse-jgit-4.9.1-2.fc27 eclipse-linuxtools-6.2.0-1.fc27 eclipse-mylyn-3.23.2-2.fc27 eclipse-recommenders-2.5.0-1.fc27 eclipse-usage-4.5.2-0.1.fc27 eclipse-webtools-3.9.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e1b714002
Comment 6 Fedora Update System 2017-12-18 17:02:00 EST
eclipse-4.7.2-1.fc27, eclipse-dltk-5.8.2-1.fc27, eclipse-dtp-1.14.1-1.fc27, eclipse-egit-4.9.1-1.fc27, eclipse-jgit-4.9.1-2.fc27, eclipse-linuxtools-6.2.0-1.fc27, eclipse-mylyn-3.23.2-2.fc27, eclipse-recommenders-2.5.0-1.fc27, eclipse-usage-4.5.2-0.1.fc27, eclipse-webtools-3.9.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e1b714002
Comment 7 Fedora Update System 2017-12-18 17:40:10 EST
eclipse-4.7.2-1.fc26, eclipse-dltk-5.8.2-1.fc26, eclipse-dtp-1.14.1-1.fc26, eclipse-egit-4.9.1-1.fc26, eclipse-jgit-4.9.1-2.fc26, eclipse-linuxtools-6.2.0-1.fc26, eclipse-mylyn-3.23.2-2.fc26, eclipse-recommenders-2.5.0-1.fc26, eclipse-webtools-3.9.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3c602edc69
Comment 8 Fedora Update System 2018-01-06 18:09:02 EST
eclipse-4.7.2-1.fc26, eclipse-dltk-5.8.2-1.fc26, eclipse-dtp-1.14.1-1.fc26, eclipse-egit-4.9.1-1.fc26, eclipse-jgit-4.9.1-2.fc26, eclipse-linuxtools-6.2.0-1.fc26, eclipse-mylyn-3.23.2-2.fc26, eclipse-recommenders-2.5.0-1.fc26, eclipse-webtools-3.9.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2018-01-06 18:19:47 EST
eclipse-4.7.2-1.fc27, eclipse-dltk-5.8.2-1.fc27, eclipse-dtp-1.14.1-1.fc27, eclipse-egit-4.9.1-1.fc27, eclipse-jgit-4.9.1-2.fc27, eclipse-linuxtools-6.2.0-1.fc27, eclipse-mylyn-3.23.2-2.fc27, eclipse-recommenders-2.5.0-1.fc27, eclipse-usage-4.5.2-0.1.fc27, eclipse-webtools-3.9.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.